Update Contact
curl --request PATCH \
--url https://api.kejue.co/api/v1/contacts/{contact_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"phone": "<string>",
"whatsapp_number": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"job_title": "<string>",
"country": "<string>",
"timezone": "<string>",
"language": "<string>",
"tags": [
"<string>"
],
"metadata": {}
}
'import requests
url = "https://api.kejue.co/api/v1/contacts/{contact_id}"
payload = {
"phone": "<string>",
"whatsapp_number": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"job_title": "<string>",
"country": "<string>",
"timezone": "<string>",
"language": "<string>",
"tags": ["<string>"],
"metadata": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone: '<string>',
whatsapp_number: '<string>',
email: '<string>',
first_name: '<string>',
last_name: '<string>',
company: '<string>',
job_title: '<string>',
country: '<string>',
timezone: '<string>',
language: '<string>',
tags: ['<string>'],
metadata: {}
})
};
fetch('https://api.kejue.co/api/v1/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"phone": "<string>",
"whatsapp_number": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company": "<string>",
"job_title": "<string>",
"country": "<string>",
"timezone": "<string>",
"language": "<string>",
"tags": [
"<string>"
],
"metadata": {},
"source": "<string>",
"is_active": true,
"created_at": "<string>",
"updated_at": "<string>"
}{
"error": "Invalid phone number: not a valid E.164 number",
"code": "BAD_REQUEST",
"details": {}
}{
"error": "Invalid or missing API key",
"code": "UNAUTHORIZED",
"details": {}
}{
"error": "Contact not found",
"code": "NOT_FOUND",
"details": {
"contact_id": "non_existent_id"
}
}{
"error": "Validation failed",
"code": "VALIDATION_ERROR",
"details": {
"errors": [
{
"field": "body.name",
"message": "Field required",
"type": "missing"
}
]
}
}Contacts
Update Contact
Update a contact.
PATCH
/
contacts
/
{contact_id}
Update Contact
Authorizations
Workspace API key (e.g. kej_live_...)
Path Parameters
Body
application/json
Partial update for a contact. All fields optional.
Response
Successful Response
A contact (public-safe response).
⌘I

